develooper Front page | perl.perl5.porters | Postings from September 2014

[perl #121638] 'Global symbol "$identifier" requires explicit package' error message

Thread Previous | Thread Next
From:
Father Chrysostomos via RT
Date:
September 16, 2014 23:01
Subject:
[perl #121638] 'Global symbol "$identifier" requires explicit package' error message
Message ID:
rt-4.0.18-26653-1410908492-86.121638-15-0@perl.org
On Tue Sep 16 15:22:46 2014, demerphq wrote:
> On 17 September 2014 00:15, Ricardo Signes <perl.p5p@rjbs.manxome.org>
> wrote:
> 
> > * demerphq <demerphq@gmail.com> [2014-09-16T17:50:23]
> > > I have long argued we should do this. It would allow us to localize
> > > error
> > > messages without making everyones life painful.
> > >
> > > If we agreed that this would be nice to have I would work on it.

I think everyone agrees on that, but not on how it should be done.

> >
> > This would be nice to have.

But what do you think of my stopgap measure?  (Global symbol "$custard" requires explicit package name (did you forget to declare "my $custard"?) at -e line 1.)

> Cool. Then I will be happy to lend a hand to make it happen. If
> someone
> starts on this before I do please let me know!

I already have detailed plans as to how it should be done.  I had planned to do it after lvalue references.

See ticket #122794.  Let’s please move the discussion there.

-- 

Father Chrysostomos


---
via perlbug:  queue: perl5 status: open
https://rt.perl.org/Ticket/Display.html?id=121638

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About